
/*!
	@file	int2.h
	@brief	int array
*/

#ifndef __H_INT2__
#define __H_INT2__

namespace ddv {

typedef struct int2 {
public:
	int2(): x( 0 ), y( 0 ) {};
	int2( int nx, int ny ): x( nx ), y( ny ) {};

	void operator =( int2 &i2 ) {
		x = i2.x;
		y = i2.y;
	};

	int x;
	int y;
} int2;

} // ddv

#endif // __H_INT2__

