
/*!
	@file	int3.h
	@brief	int array
*/

#ifndef __H_INT3__
#define __H_INT3__

namespace ddv {

typedef struct int3 {
public:
	int3(): x( 0 ), y( 0 ) {};
	int3( int nx, int ny, int nz ): x( nx ), y( ny ), z( nz ) {};

	void operator =( int3 &i3 ) {
		x = i3.x;
		y = i3.y;
		z = i3.z;
	};

	int x;
	int y;
	int z;
} int3;

} // ddv

#endif // __H_INT2__

