
#ifndef __H_CONSTANT__
#define __H_CONSTANT__

namespace ddv {

#define PI 3.14159265

#define MICROMETER_PER_PIXEL 0.105f
#define FOCALPLANE_DISTANCE 0.5f
#define SCALEUNIT MICROMETER_PER_PIXEL
#define IMAGEWIDTH 600
#define IMAGEHEIGHT 600
#define MAXFOCALPLANE 66
#define IMAGEWIDTH_CENTER IMAGEWIDTH / 2 * SCALEUNIT
#define IMAGEHEIGHT_CENTER IMAGEHEIGHT / 2 * SCALEUNIT
#define FOCALPLANE_CENTER MAXFOCALPLANE / 2 * FOCALPLANE_DISTANCE

} // namespace ddv

#endif // __H_CONSTANT__

