
#ifndef __H_FONT_UV_TABLE__
#define __H_FONT_UV_TABLE__

namespace ddv {

char g_pfontCharacter[] = "0123456789  "
	"abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ";

#define uv_pixel ( 1.0f / 128.0f )

float g_pfontUVTable[] = {
	0.0f, uv_pixel * 112.0f, uv_pixel * 10.0f, uv_pixel * 128.0f	// 0-9
	, uv_pixel * 10.0f, uv_pixel * 112.0f, uv_pixel * 20.0f, uv_pixel * 128.0f
	, uv_pixel * 20.0f, uv_pixel * 112.0f, uv_pixel * 30.0f, uv_pixel * 128.0f
	, uv_pixel * 30.0f, uv_pixel * 112.0f, uv_pixel * 40.0f, uv_pixel * 128.0f
	, uv_pixel * 40.0f, uv_pixel * 112.0f, uv_pixel * 50.0f, uv_pixel * 128.0f
	, uv_pixel * 50.0f, uv_pixel * 112.0f, uv_pixel * 60.0f, uv_pixel * 128.0f
	, uv_pixel * 60.0f, uv_pixel * 112.0f, uv_pixel * 70.0f, uv_pixel * 128.0f
	, uv_pixel * 70.0f, uv_pixel * 112.0f, uv_pixel * 80.0f, uv_pixel * 128.0f
	, uv_pixel * 80.0f, uv_pixel * 112.0f, uv_pixel * 90.0f, uv_pixel * 128.0f
	, uv_pixel * 90.0f, uv_pixel * 112.0f, uv_pixel * 100.0f, uv_pixel * 128.0f
	, 0.0f, 0.0f, 0.0f, 0.0f
	, 0.0f, 0.0f, 0.0f, 0.0f
	, 0.0f, uv_pixel * 96.0f, uv_pixel * 10.0f, uv_pixel * 112.0f	// a-l
	, uv_pixel * 10.0f, uv_pixel * 96.0f, uv_pixel * 20.0f, uv_pixel * 112.0f
	, uv_pixel * 20.0f, uv_pixel * 96.0f, uv_pixel * 30.0f, uv_pixel * 112.0f
	, uv_pixel * 30.0f, uv_pixel * 96.0f, uv_pixel * 40.0f, uv_pixel * 112.0f
	, uv_pixel * 40.0f, uv_pixel * 96.0f, uv_pixel * 50.0f, uv_pixel * 112.0f
	, uv_pixel * 50.0f, uv_pixel * 96.0f, uv_pixel * 60.0f, uv_pixel * 112.0f
	, uv_pixel * 60.0f, uv_pixel * 96.0f, uv_pixel * 70.0f, uv_pixel * 112.0f
	, uv_pixel * 70.0f, uv_pixel * 96.0f, uv_pixel * 80.0f, uv_pixel * 112.0f
	, uv_pixel * 80.0f, uv_pixel * 96.0f, uv_pixel * 90.0f, uv_pixel * 112.0f
	, uv_pixel * 90.0f, uv_pixel * 96.0f, uv_pixel * 100.0f, uv_pixel * 112.0f
	, uv_pixel * 100.0f, uv_pixel * 96.0f, uv_pixel * 110.0f, uv_pixel * 112.0f
	, uv_pixel * 110.0f, uv_pixel * 96.0f, uv_pixel * 120.0f, uv_pixel * 112.0f
	, 0.0f, uv_pixel * 80.0f, uv_pixel * 10.0f, uv_pixel * 96.0f	// m-x
	, uv_pixel * 10.0f, uv_pixel * 80.0f, uv_pixel * 20.0f, uv_pixel * 96.0f
	, uv_pixel * 20.0f, uv_pixel * 80.0f, uv_pixel * 30.0f, uv_pixel * 96.0f
	, uv_pixel * 30.0f, uv_pixel * 80.0f, uv_pixel * 40.0f, uv_pixel * 96.0f
	, uv_pixel * 40.0f, uv_pixel * 80.0f, uv_pixel * 50.0f, uv_pixel * 96.0f
	, uv_pixel * 50.0f, uv_pixel * 80.0f, uv_pixel * 60.0f, uv_pixel * 96.0f
	, uv_pixel * 60.0f, uv_pixel * 80.0f, uv_pixel * 70.0f, uv_pixel * 96.0f
	, uv_pixel * 70.0f, uv_pixel * 80.0f, uv_pixel * 80.0f, uv_pixel * 96.0f
	, uv_pixel * 80.0f, uv_pixel * 80.0f, uv_pixel * 90.0f, uv_pixel * 96.0f
	, uv_pixel * 90.0f, uv_pixel * 80.0f, uv_pixel * 100.0f, uv_pixel * 96.0f
	, uv_pixel * 100.0f, uv_pixel * 80.0f, uv_pixel * 110.0f, uv_pixel * 96.0f
	, uv_pixel * 110.0f, uv_pixel * 80.0f, uv_pixel * 120.0f, uv_pixel * 96.0f
	, 0.0f, uv_pixel * 64.0f, uv_pixel * 10.0f, uv_pixel * 80.0f	// y-J
	, uv_pixel * 10.0f, uv_pixel * 64.0f, uv_pixel * 20.0f, uv_pixel * 80.0f
	, uv_pixel * 20.0f, uv_pixel * 64.0f, uv_pixel * 30.0f, uv_pixel * 80.0f
	, uv_pixel * 30.0f, uv_pixel * 64.0f, uv_pixel * 40.0f, uv_pixel * 80.0f
	, uv_pixel * 40.0f, uv_pixel * 64.0f, uv_pixel * 50.0f, uv_pixel * 80.0f
	, uv_pixel * 50.0f, uv_pixel * 64.0f, uv_pixel * 60.0f, uv_pixel * 80.0f
	, uv_pixel * 60.0f, uv_pixel * 64.0f, uv_pixel * 70.0f, uv_pixel * 80.0f
	, uv_pixel * 70.0f, uv_pixel * 64.0f, uv_pixel * 80.0f, uv_pixel * 80.0f
	, uv_pixel * 80.0f, uv_pixel * 64.0f, uv_pixel * 90.0f, uv_pixel * 80.0f
	, uv_pixel * 90.0f, uv_pixel * 64.0f, uv_pixel * 100.0f, uv_pixel * 80.0f
	, uv_pixel * 100.0f, uv_pixel * 64.0f, uv_pixel * 110.0f, uv_pixel * 80.0f
	, uv_pixel * 110.0f, uv_pixel * 64.0f, uv_pixel * 120.0f, uv_pixel * 80.0f
	, 0.0f, uv_pixel * 48.0f, uv_pixel * 10.0f, uv_pixel * 64.0f	// K-V
	, uv_pixel * 10.0f, uv_pixel * 48.0f, uv_pixel * 20.0f, uv_pixel * 64.0f
	, uv_pixel * 20.0f, uv_pixel * 48.0f, uv_pixel * 30.0f, uv_pixel * 64.0f
	, uv_pixel * 30.0f, uv_pixel * 48.0f, uv_pixel * 40.0f, uv_pixel * 64.0f
	, uv_pixel * 40.0f, uv_pixel * 48.0f, uv_pixel * 50.0f, uv_pixel * 64.0f
	, uv_pixel * 50.0f, uv_pixel * 48.0f, uv_pixel * 60.0f, uv_pixel * 64.0f
	, uv_pixel * 60.0f, uv_pixel * 48.0f, uv_pixel * 70.0f, uv_pixel * 64.0f
	, uv_pixel * 70.0f, uv_pixel * 48.0f, uv_pixel * 80.0f, uv_pixel * 64.0f
	, uv_pixel * 80.0f, uv_pixel * 48.0f, uv_pixel * 90.0f, uv_pixel * 64.0f
	, uv_pixel * 90.0f, uv_pixel * 48.0f, uv_pixel * 100.0f, uv_pixel * 64.0f
	, uv_pixel * 100.0f, uv_pixel * 48.0f, uv_pixel * 110.0f, uv_pixel * 64.0f
	, uv_pixel * 110.0f, uv_pixel * 48.0f, uv_pixel * 120.0f, uv_pixel * 64.0f
	, 0.0f, uv_pixel * 32.0f, uv_pixel * 10.0f, uv_pixel * 48.0f	// W-Z
	, uv_pixel * 10.0f, uv_pixel * 32.0f, uv_pixel * 20.0f, uv_pixel * 48.0f
	, uv_pixel * 20.0f, uv_pixel * 32.0f, uv_pixel * 30.0f, uv_pixel * 48.0f
	, uv_pixel * 30.0f, uv_pixel * 32.0f, uv_pixel * 40.0f, uv_pixel * 48.0f
};

inline float* g_getUVCoords( char a ) {
	unsigned int i;
	for ( i = 0; i < strlen( g_pfontCharacter ); ++ i ) {
		if ( g_pfontCharacter[ i ] == a ) {
			break;
		}
	}
	if ( i >= strlen( g_pfontCharacter ) ) {
		return NULL;
	}
	return &g_pfontUVTable[ i * 4 ];
};

} // namespace ddv

#endif // __H_FONT_UV_TABLE__
